package com.junmp.jyzb.mapper;

import com.junmp.jyzb.api.bean.dto.LogDetailDto;
import com.junmp.jyzb.api.bean.dto.LogSummarySecondDto;
import com.junmp.jyzb.api.bean.query.QueryLogSummarySecondReq;
import com.junmp.jyzb.entity.LogDetail;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author lxh专属坐骑
* @description 针对表【base_log_detail】的数据库操作Mapper
* @createDate 2023-10-13 08:29:42
* @Entity com.junmp.jyzb.entity.LogDetail
*/
public interface LogDetailMapper extends BaseMapper<LogDetail> {

    List<LogDetailDto> GetDetailByLogSumId(@Param("summaryId") Long summaryId);

    List<LogDetailDto> ShowInOutRecordsByOrder(@Param("orderMainId") String orderMainId);

    int getInOutRecordsSize(@Param("epc") String epc);

    List<LogDetail> getInOutRecords(@Param("epc")String epc, @Param("pageNo") Long pageNo,@Param("pageSize") Long pageSize);

    List<LogSummarySecondDto> getSecondInfoByLogSumId(@Param("req") QueryLogSummarySecondReq req);

    int getSecondInfoByLogSumIdCount(@Param("req") QueryLogSummarySecondReq req);
}




